org.apache.tinkerpop.gremlin.jsr223

## Interface ImportCustomizer

- All Superinterfaces:
    Customizer
  All Known Implementing Classes:
    DefaultImportCustomizer

      public interface ImportCustomizer
      extends Customizer

  Provides the list of imports to apply to a `GremlinScriptEngine` instance.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<Class>` | `getClassImports()` Gets the set of classes to be imported to the `GremlinScriptEngine`.
    `default Set<Package>` | `getClassPackages()` Gets the set of packages from the `getClassImports()`.
    `default Set<Class>` | `getEnumClasses()` Gets the set of classes from the `getEnumImports()`.
    `Set<Enum>` | `getEnumImports()` Gets the set of enums to be imported to the `GremlinScriptEngine`.
    `default Set<Class>` | `getFieldClasses()` Gets the set of fields from the `getFieldImports()`.
    `Set<Field>` | `getFieldImports()` Gets the set of fields to be imported to the `GremlinScriptEngine`.
    `default Set<Class>` | `getMethodClasses()` Gets the set of classes from the `getMethodImports()`.
    `Set<Method>` | `getMethodImports()` Gets the set of static methods to be imported to the `GremlinScriptEngine`.

- - ### Method Detail

    - #### getClassImports

          Set<Class> getClassImports()

      Gets the set of classes to be imported to the `GremlinScriptEngine`.

    - #### getMethodImports

          Set<Method> getMethodImports()

      Gets the set of static methods to be imported to the `GremlinScriptEngine`.

    - #### getEnumImports

          Set<Enum> getEnumImports()

      Gets the set of enums to be imported to the `GremlinScriptEngine`.

    - #### getFieldImports

          Set<Field> getFieldImports()

      Gets the set of fields to be imported to the `GremlinScriptEngine`.

    - #### getClassPackages

          default Set<Package> getClassPackages()

      Gets the set of packages from the `getClassImports()`.

    - #### getMethodClasses

          default Set<Class> getMethodClasses()

      Gets the set of classes from the `getMethodImports()`.

    - #### getEnumClasses

          default Set<Class> getEnumClasses()

      Gets the set of classes from the `getEnumImports()`.

    - #### getFieldClasses

          default Set<Class> getFieldClasses()

      Gets the set of fields from the `getFieldImports()`.

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.